Returns user name and gender for the email.

GEThttps://api.awork.com/api/v1/users/autofill/{email}
GET https://api.awork.com/api/v1/users/autofill/{email}

Returns user name and gender for the email. The response contains the matching name and gender fields.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

emailstringRequired

The user's email.

Responses

200 OK

application/json

firstNamestring or nullOptional
minLength: 0 maxLength: 1000

The firstname of the user.

lastNamestring or nullOptional
minLength: 0 maxLength: 1000

The lastname of the user.

genderstring or nullOptional
minLength: 0 maxLength: 25

The gender of the user.

204 No Content
Search documentation